#!/bin/bash

echo "Network: creating"
for NET_NAME in {% for net in docker.networks %}"{{ net }}" {% endfor %}

do
    EXISTS=$(docker network ls | grep " $NET_NAME " | wc -l | tr -d '[:space:]')
    if [ "$EXISTS" == "0" ]; then
        CMD="docker network create --driver overlay $NET_NAME"
        echo "$CMD"
        $CMD
    fi
done
echo "Network: done"
